Adding a Font to the Resource
Наши примеры проектов и шаблоны отчётов помогут Вам разобраться в основах работы с нашими продуктами.This example shows how to add font to resource for dashboards. First, use
На скриншоте ниже Вы можете увидеть результат выполнения данного кода:

getFile() method to load font file. After that, use StiResource() method to add it to resource:
<script type="text/javascript">
// Create the dashboard designer with default options
var designer = new Stimulsoft.Designer.StiDesigner(null, "StiDesigner", false);
var report = Stimulsoft.Report.StiReport.createNewDashboard();
var fileContent = Stimulsoft.System.IO.File.getFile("../dashboard/Roboto-Black.ttf", true);
var resource = new Stimulsoft.Report.Dictionary.StiResource("Roboto-Black", "Roboto-Black", false, Stimulsoft.Report.Dictionary.StiResourceType.FontTtf, fileContent);
report.dictionary.resources.add(resource);
var dashboard = report.pages.getByIndex(0);
var textElement = new Stimulsoft.Dashboard.Components.Text.StiTextElement();
textElement.left = 100;
textElement.top = 100;
textElement.width = 300;
textElement.height = 100;
textElement.text = "Sample Text";
textElement.setFontName("Roboto-Black");
textElement.backColor = Stimulsoft.System.Drawing.Color.lightGray;
dashboard.components.add(textElement);
designer.report = report;
</script>На скриншоте ниже Вы можете увидеть результат выполнения данного кода:


Embedding a font as a dashboard resource makes the template self-contained — it renders with the same typography everywhere.

In Angular.
import { Component } from "@angular/core";
import { Designer, Stimulsoft } from "stimulsoft-dashboards-js-angular/designer";

@Component({
    imports: [Designer],
    template: `<sti-designer [(report)]="report" [options]="options"></sti-designer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Designer.StiDesignerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/CusomFontDashboard.mrt");

        var fileContent = Stimulsoft.System.IO.File.getFile("Fonts/LongCang-Regular.ttf", true);
        var resource = new Stimulsoft.Report.Dictionary.StiResource(
            "LongCang", "LongCang", false,
            Stimulsoft.Report.Dictionary.StiResourceType.FontTtf, fileContent);
        this.report.dictionary.resources.add(resource);

        this.options = new Stimulsoft.Designer.StiDesignerOptions();
        this.options.appearance.fullScreenMode = true;
    }
}

How it works. The font travels inside the template, so previews and exports use the exact same glyphs with no installed font.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A font can be embedded into a dashboard as a resource so it renders identically everywhere; here a TrueType font is added to the dictionary.

Registering the resource. Load or register the external resource before rendering so the finished dashboard remains portable across environments.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/designer';

var report = new Stimulsoft.Report.StiReport();
report.loadFile('Dashboards/CustomFontDashboard.mrt');
var fileContent = Stimulsoft.System.IO.File.getFile('Fonts/LongCang-Regular.ttf', true);
var resource = new Stimulsoft.Report.Dictionary.StiResource('LongCang', 'LongCang', false, Stimulsoft.Report.Dictionary.StiResourceType.FontTtf, fileContent);
report.dictionary.resources.add(resource);
var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
</script>

<template>
    <Designer :report="report" :options="designerOptions" />
</template>

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.